--- old/usr/src/lib/libcmdutils/libcmdutils.h	2013-09-09 17:55:58.167036173 +0100
+++ new/usr/src/lib/libcmdutils/libcmdutils.h	2013-09-09 17:55:58.173204778 +0100
@@ -22,6 +22,9 @@
  * Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
+/*
+ * Copyright (c) 2013 RackTop Systems.
+ */
 
 /*
  * Declarations for the functions in libcmdutils.
@@ -125,6 +128,20 @@
  */
 extern void destroy_tree(avl_tree_t *);
 
+
+
+		/* user/group id helpers */
+
+/*
+ * Used to get the next available user id in given range.
+ */
+extern int findnextuid(uid_t, uid_t, uid_t *);
+
+/*
+ * Used to get the next available group id in given range.
+ */
+extern int findnextgid(gid_t, gid_t, gid_t *);
+
 #ifdef	__cplusplus
 }
 #endif
